%define modname zip
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A10_%{modname}.ini

%define mod_src "php_zip.c zip_stream.c"
%define mod_lib "`pkg-config --libs libzip`"
%define mod_def "-DHAVE_ZIP"

Summary:	A zip management extension for PHP
Name:		php-%{modname}
Version:	1.8.10
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/zip
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libzip-devel >= 0.6.1
BuildRequires:	pkgconfig
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is a dynamic shared object (DSO) for PHP that will add zip support to
create and read zip files using the libzip library.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

# the autofoo stuff is too borked at the moment...
#phpize
#%%configure2_5x --with-libdir=%{_lib} \
#    --with-%{modname}=shared,%{_prefix} \
#    --with-zlib-dir=%{_prefix}
#%%make
#mv modules/*.so .

%{_usrsrc}/php-devel/buildext zip "php_zip.c zip_stream.c" "-DCOMPILE_DL_ZIP -DHAVE_ZIP -L%{_libdir} `pkg-config --libs libzip`"

#%{_usrsrc}/php-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc examples tests CREDITS package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.8.10-4mdv2008.0
+ Revision: 77590
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.10-3mdv2008.0
+ Revision: 39534
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.10-2mdv2008.0
+ Revision: 33888
- rebuilt against new upstream version (5.2.3)

* Wed May 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.10-1mdv2008.0
+ Revision: 30218
- 1.8.10

* Sun May 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.9-1mdv2008.0
+ Revision: 28900
- 1.8.9

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.8-2mdv2008.0
+ Revision: 21368
- rebuilt against new upstream version (5.2.2)

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.8-1mdv2008.0
+ Revision: 14540
- 1.8.8


* Wed Mar 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.8.7-1mdv2007.1
+ Revision: 143690
- 1.8.7 (Minor security fixes)

* Sun Feb 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.6-1mdv2007.1
+ Revision: 125535
- 1.8.6

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.5-2mdv2007.1
+ Revision: 117641
- rebuilt against new upstream version (5.2.1)

* Mon Jan 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.5-1mdv2007.1
+ Revision: 114840
- 1.8.5

* Sun Jan 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.4-1mdv2007.1
+ Revision: 105373
- 1.8.4

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.3-2mdv2007.1
+ Revision: 98618
- release bump due to hdlists borkiness
- 1.8.3

* Tue Dec 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.2-1mdv2007.1
+ Revision: 91178
- 1.8.2

* Wed Nov 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.1-1mdv2007.1
+ Revision: 88644
- 1.8.1

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.0-3mdv2007.0
+ Revision: 78416
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.0-2mdv2007.1
+ Revision: 77649
-rebuilt against php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.0-1mdv2007.1
+ Revision: 75524
- Import php-zip

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.0-1
- 1.8.0

* Mon Sep 18 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.3-1
- 1.7.3

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.2-1
- 1.7.2
- rebuilt for php-5.1.6

* Tue Aug 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.0-1mdv2007.0
- 1.7.0

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.6.0-1mdv2007.1
- 1.6.0

* Sat Jul 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.5.0-1mdv2007.0
- 1.5.0 (Major feature enhancements)

* Thu Jun 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.4.0-1mdk
- 1.4.0

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdk
- rebuilt for php-5.1.3

* Fri Apr 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdk
- 1.3.1

* Fri Mar 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdk
- 1.2.3 (Major bugfixes)

* Thu Mar 23 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.2-1mdk
- 1.2.2

* Sun Mar 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.1-1mdk
- 1.2.1

* Mon Mar 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.0-1mdk
- 1.2.0

* Mon Mar 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.2-1mdk
- 1.1.2

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.1-1mdk
- 1.1.1

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.0-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_1.0-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0-1mdk
- rename the package

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-1mdk
- rebuilt for php-5.0.3

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.0-1mdk
- rebuilt for php-5.0.2

* Sun Aug 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_1.0-1mdk
- rebuilt for php-5.0.1

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_1.0-1mdk
- it's at pecl now
- rebuilt for php-5.0.0
- major cleanups

* Thu Jul 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7
- use phpize

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- move scandir to /etc/php.d

* Thu May 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- built for php 4.3.6

